gems can install and upgrade almost everything for me!

but I wonder if it could upgrade ruby itself?

I'm using ruby 1.82(OS X pre-installed) and I'm too lazy for things
upgraded